Package wx :: Package lib :: Package colourchooser :: Module pycolourslider :: Class PyColourSlider

[frames | no frames]

## Type PyColourSlider

    object --+
             |
        Object --+
                 |
        EvtHandler --+
                     |
                Window --+
                         |
                    Canvas --+
                             |
                            PyColourSlider

A Pure-Python Colour Slider

The colour slider displays transitions from value 0 to value 1 in HSV, allowing the user to select a colour within the transition spectrum.

This class is best accompanying by a wxSlider that allows the user to select a particular colour shade.

Method Summary
| ``__init__`(self, parent, id, colour)` Creates a blank slider instance.
| ``DrawBuffer`(self)` Actual implementation of the widget's drawing.
| ``GetBaseColour`(self)` Return the current colour used as a colour base for filling out the slider.
| ``GetValue`(self, pos)` Returns the colour value for a position on the slider.
| ``SetBaseColour`(self, colour)` Sets the base, or target colour, to use as the central colour when calculating colour transitions.

Property Summary

Class Variable Summary
`int` | `HEIGHT` = 172
`int` | `WIDTH` = 12

Instance Method Details

### __init__(self, parent, id, colour=None)
(Constructor)

Creates a blank slider instance. A colour must be set before the slider will be filled in.

  Overrides:
    `wx.lib.colourchooser.canvas.Canvas.__init__`

### DrawBuffer(self)

Actual implementation of the widget's drawing. We simply draw from value 0.0 to value 1.0 in HSV.

  Overrides:
    `wx.lib.colourchooser.canvas.Canvas.DrawBuffer`

### GetBaseColour(self)

Return the current colour used as a colour base for filling out the slider.

### GetValue(self, pos)

Returns the colour value for a position on the slider. The position must be within the valid height of the slider, or results can be unpredictable.

### SetBaseColour(self, colour)

Sets the base, or target colour, to use as the central colour when calculating colour transitions.

Class Variable Details

### HEIGHT

  Type:
    `int`
  Value:

        172

### WIDTH

  Type:
    `int`
  Value:

        12

Generated by Epydoc 2.1.20050511.rpd on Thu Mar 22 12:11:49 2007 | http://epydoc.sf.net